<?php
ob_start();
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');

$maindb = "accmast";
$formname = "Labour Print";
$file = "labour_print.php";
$mgrpcode = "039";

$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);

$stafcond = '';


if (isset($_POST["view"])) {
    $name = $_POST['name'];
    $country = $_POST['country'];
    $city = $_POST['city'];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $countrycond ")or die(mysqli_error($conn));




    include("includes/linkshead.php");
    ?>
    </head>
    <body>
        <div class="container">
            <div class="row">
                <div class="col-lg-4">
                    <label class="label-control marg">Date - </label>
                    <label class="label-control marg"><?php Echo Date("d-m-Y"); ?></label>
                </div>
                <div class="col-lg-4">
                    <label class="label-control marg">Print - </label>
                    <label class="label-control marg"><?php Echo $formname; ?></label>
                </div>
                <div class="col-lg-4 pull-right"><input id="button" type=button class="btn btn-primary" onclick="window.close()" value='Go Back'></div>
            </div>
            <div class="row">
                <div class="col-lg-12 pad">
                    <table class="table table-condensed table-hover">
                        <tr class="mySearchTr">
                            <th>Name</th>
                            <th>Address</th>
                            <th>City</th>
                            <th>Pin</th>
                            <th>Station</th>
                            <th>Country</th>
                            <th>Tel</th>
                            <th>Mobile</th>
                        </tr>
                        <?php
                        $ctr = 1;
                        while ($pmain = mysqli_fetch_array($getpmain)) {

                            Echo "<tr>";
                            Echo "<td>$pmain[name]</td>";
                            Echo "<td>$pmain[add1] $pmain[add2] $pmain[add3] </td>";
                            Echo "<td>$pmain[city]</td>";
                            Echo "<td>$pmain[pin]</td>";
                            Echo "<td>$pmain[station]</td>";
                            Echo "<td>$pmain[country]</td>";
                            Echo "<td>$pmain[tel]</td>";
                            Echo "<td>$pmain[mobile]</td>";
                            Echo "</tr>";
                        }
                        ?>
                    </table>
                </div>
            </div>
        </div>

        <?php include("includes/linksfoot.php"); ?>
    </body>
    </html>
    <?php
}
if (isset($_POST["excel"])) {
    $name = $_POST['name'];
    $country = $_POST['country'];
    $city = $_POST['city'];

    $namecond = "";
    $countrycond = "";
    $citycond = "";

    if (!empty($name)) {
        $namecond = " AND `accode`='$name' ";
    }
    if (!empty($country)) {
        $countrycond = " AND `country` LIKE '%$country%' ";
    }
    if (!empty($city)) {
        $citycond = " AND `city` LIKE '%$city%' ";
    }
    $getpmain = mysqli_query($conn, "SELECT * FROM `$maindb` WHERE `grpcode`='$mgrpcode' $namecond $citycond $countrycond ")or die(mysqli_error($conn));

    $contents.="Name,Address,City,Pin,Station,Country,Tel,Mobile\n";

    $ctr = 1;
    while ($pmain = mysqli_fetch_array($getpmain)) {

        $pname = $pmain['name'];
        $paddress = $pmain['add1'] . " " . $pmain['add2'] . " " . $pmain['add3'];
        $pcity = $pmain['city'];
        $ppin = $pmain['pin'];
        $pstation = $pmain['station'];
        $pcountry = $pmain['country'];
        $ptel = $pmain['tel'];
        $pmobile = $pmain['mobile'];

        $contents.=$pname . ",";
        $contents.=$paddress . ",";
        $contents.=$pcity . ",";
        $contents.=$ppin . ",";
        $contents.=$pstation . ",";
        $contents.=$pcountry . ",";
        $contents.=$ptel . ",";
        $contents.=$pmobile . "\n";
    }
    $contents = strip_tags($contents);

    if ($_POST["dtype"] == 1) {
        header("Content-Disposition: attachment; filename=$formname" . "_Summary" . date('d-m-Y') . ".csv");
        print $contents;
    } else {
        header("Content-Disposition: attachment; filename=$formname" . "_Detail" . date('d-m-Y') . ".csv");
        print $contents;
    }
}
?>